#include <iostream>
#include <math.h>
using namespace std;

int main()
{
    int N, Q, l;
    cin >> N >> Q;
    int A[N];
    int B[Q];
    int k[Q];
    for(int i = 0; i < N; i++)
    {
        cin >> A[i];
    }
    for(int i = 0; i < Q; i++)
    {
        cin >> B[i];
    }
    for(int i = 0; i < N; i++)
	{		
		for(int j=i+1; j<N; j++)
		{
			if(A[i] > A[j])
			{
				l  = A[i];
				A[i] = A[j];
				A[j] = l;
			}
		}
	}
	for(int i = 0; i < Q; i++)
	{
	    if(B[i] > A[N- 1])
	    {
	        cout << N << endl;
	    }
	    else
	    {
	        for(int j = 0; j < N; j++)
	        {
	            if(A[j] == B[i])
	            {
	                cout<<abs(floor(N/2) - j) << endl;
	            }
	        }
	    }
	}
}